import type { Session, SessionStorage } from "@remix-run/server-runtime";
type CommitSessionFn = SessionStorage["commitSession"];
type DestroySessionFn = SessionStorage["destroySession"];
export declare class SessionProxy<SessionKey extends string> {
    #private;
    constructor(session: Session, commitSession: CommitSessionFn, destroySession: DestroySessionFn);
    get id(): string;
    get isDirty(): boolean;
    has(key: SessionKey): boolean;
    get(key: SessionKey): any;
    getString(key: SessionKey): string | null;
    assertString(key: SessionKey): string;
    set(key: SessionKey, value: any): void;
    unset(key: SessionKey): void;
    flash(key: SessionKey, value: any): void;
    json<T>(data: T, init?: RequestInit): Promise<import("@remix-run/server-runtime").TypedResponse<T>>;
    destroyJson<T>(data: T, init?: RequestInit): Promise<import("@remix-run/server-runtime").TypedResponse<T>>;
    redirect(url: string, init?: RequestInit): Promise<import("@remix-run/server-runtime").TypedResponse<never>>;
    destroyRedirect(url: string, init?: RequestInit): Promise<import("@remix-run/server-runtime").TypedResponse<never>>;
}
export {};
